Subject: bug#38250: PHP 7.3.11 fails its test suite

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 02 Feb 2020 00:35:29 -0500

Julien Lepiller <[email-masked]> writes:

> Le 31 janvier 2020 22:47:47 GMT-05:00, Maxim Cournoyer <[email-masked]> a écrit :
>>Maxim Cournoyer <[email-masked]> writes:
>>
>>> Whenever I tried building PHP as of Guix commit
>>> 2484e0b3e481e2b1fcb6761d0dbf80da98089de4, the following tests fail:
>>>
>>> =====================================================================
>>> FAILED TEST SUMMARY
>>> ---------------------------------------------------------------------
>>> Test disk_free_space and its alias diskfreespace() functions : basic
>>functionality [ext/standard/tests/fi
>>> Test lstat() and stat() functions: usage variations - creating
>>file/subdir [ext/standard/tests/file/lstat
>>> Test lstat() and stat() functions: usage variations - deleting
>>file/subdir [ext/standard/tests/file/lstat
>>> =====================================================================
>>>
>>> The CI seems to be OK with it (I get a substitute).  I wonder if it
>>has
>>> to do with my specific machine (X200).  It's equipped with 8 GB of
>>RAM
>>> and 9 GB of swap.
>>
>>I can still reproduce this issue on the current core-updates branch,
>>using a different x86_64 machine which has 8 GB RAM.
>
> Could you send the .log file for each failing test? The report should have the filenames of failing tests (ext/standard/tests/file/lstat here I think, but the log looks broken). You'll have to build with -K to get them.

Sorry, the previous output was truncated.  Re-pasting below:

The summary looks like:

--8<---------------cut here---------------start------------->8---
=====================================================================
FAILED TEST SUMMARY
---------------------------------------------------------------------
Test disk_free_space and its alias diskfreespace() functions : basic functionality [ext/standard/tests/file/disk_free_space_basic.phpt]
Test lstat() and stat() functions: usage variations - creating file/subdir [ext/standard/tests/file/lstat_stat_variation8.phpt]
Test lstat() and stat() functions: usage variations - deleting file/subdir [ext/standard/tests/file/lstat_stat_variation9.phpt]
=====================================================================
--8<---------------cut here---------------end--------------->8---

With the individual tests failing with this output:

TEST 11196/14256 [ext/standard/tests/file/disk_free_space_basic.phpt]^MFAIL Test disk_free_space and its alias diskfreespace() functions : basic functionality [ext/standard/tests/file/disk_free_space_basic.phpt]
TEST 11596/14256 [ext/standard/tests/file/lstat_stat_variation8.phpt]^MFAIL Test lstat() and stat() functions: usage variations - creating file/subdir [ext/standard/tests/file/lstat_stat_variation8.phpt] 
TEST 11597/14256 [ext/standard/tests/file/lstat_stat_variation9.phpt]^MFAIL Test lstat() and stat() functions: usage variations - deleting file/subdir [ext/standard/tests/file/lstat_stat_variation9.phpt]